# -*- encoding: utf-8 -*-
# stub: sensu-plugins-postgres 4.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-postgres".freeze
  s.version = "4.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2020-11-29"
  s.description = "This plugin provides native PostgreSQL\n                              instrumentation for monitoring and metrics\n                              collection, including: service health, database\n                              connectivity, database locks, replication status,\n                              database size, `pg_stat_bgwriter` metrics, and\n                              more.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["metric-postgres-dbsize.rb".freeze, "metric-postgres-connections.rb".freeze, "metric-postgres-statsdb.rb".freeze, "metric-postgres-relation-size.rb".freeze, "check-postgres-connections.rb".freeze, "metric-postgres-statstable.rb".freeze, "metric-postgres-graphite.rb".freeze, "metrics-postgres-query.rb".freeze, "check-postgres-query.rb".freeze, "metric-postgres-statsio.rb".freeze, "check-postgres-alive.rb".freeze, "metric-postgres-locks.rb".freeze, "metric-postgres-statsbgwriter.rb".freeze, "check-postgres-replication.rb".freeze, "metric-postgres-vaccum.rb".freeze]
  s.files = ["bin/check-postgres-alive.rb".freeze, "bin/check-postgres-connections.rb".freeze, "bin/check-postgres-query.rb".freeze, "bin/check-postgres-replication.rb".freeze, "bin/metric-postgres-connections.rb".freeze, "bin/metric-postgres-dbsize.rb".freeze, "bin/metric-postgres-graphite.rb".freeze, "bin/metric-postgres-locks.rb".freeze, "bin/metric-postgres-relation-size.rb".freeze, "bin/metric-postgres-statsbgwriter.rb".freeze, "bin/metric-postgres-statsdb.rb".freeze, "bin/metric-postgres-statsio.rb".freeze, "bin/metric-postgres-statstable.rb".freeze, "bin/metric-postgres-vaccum.rb".freeze, "bin/metrics-postgres-query.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-postgres".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for postgres".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<dentaku>.freeze, ["= 3.3.4"])
    s.add_runtime_dependency(%q<pg>.freeze, ["= 1.2.3"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_development_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_development_dependency(%q<mixlib-shellout>.freeze, ["~> 2.4"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.79.0"])
    s.add_development_dependency(%q<serverspec>.freeze, ["~> 2.41.5"])
    s.add_development_dependency(%q<test-kitchen>.freeze, ["~> 1.25.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<dentaku>.freeze, ["= 3.3.4"])
    s.add_dependency(%q<pg>.freeze, ["= 1.2.3"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_dependency(%q<mixlib-shellout>.freeze, ["~> 2.4"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.79.0"])
    s.add_dependency(%q<serverspec>.freeze, ["~> 2.41.5"])
    s.add_dependency(%q<test-kitchen>.freeze, ["~> 1.25.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
